## org.apache.batik.gvt
Class RootGraphicsNode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.batik.gvt.CompositeGraphicsNode
              org.apache.batik.gvt.RootGraphicsNode

All Implemented Interfaces:
  java.util.Collection, GraphicsNode, java.util.List

public class RootGraphicsNode
extends CompositeGraphicsNode

The top-level graphics node of the GVT tree.

Field Summary

Fields inherited from class org.apache.batik.gvt.CompositeGraphicsNode
`backgroundEnableRgn, children, count, modCount, VIEWPORT`

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`RootGraphicsNode()` Constructs a new empty `RootGraphicsNode`.

Method Summary
`void` `addTreeGraphicsNodeChangeListener(GraphicsNodeChangeListener l)`
`RootGraphicsNode` `getRoot()` Returns the root of the GVT tree or null if the node is not part of a GVT tree.
`java.util.List` `getTreeGraphicsNodeChangeListeners()`
`void` `removeTreeGraphicsNodeChangeListener(GraphicsNodeChangeListener l)`

Methods inherited from class org.apache.batik.gvt.CompositeGraphicsNode

`add, add, addAll, addAll, clear, contains, contains, containsAll, ensureCapacity, get, getBackgroundEnable, getChildren, getGeometryBounds, getOutline, getPrimitiveBounds, getSensitiveBounds, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, indexOf, invalidateGeometryCache, isEmpty, iterator, lastIndexOf, listIterator, listIterator, nodeHitAt, primitivePaint, remove, remove, removeAll, retainAll, set, setBackgroundEnable, setRoot, setVisible, size, subList, toArray, toArray`

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode

`fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getTransform, getTransformedBounds, getWeakReference, intersects, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, normalizeRectangle, paint, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Constructor Detail

### RootGraphicsNode

    public RootGraphicsNode()

  Constructs a new empty `RootGraphicsNode`.

Method Detail

### getRoot

    public RootGraphicsNode getRoot()

  Returns the root of the GVT tree or null if the node is not part of a GVT tree.

  Specified by:
    `getRoot` in interface `GraphicsNode`
  Overrides:
    `getRoot` in class `AbstractGraphicsNode`

### getTreeGraphicsNodeChangeListeners

    public java.util.List getTreeGraphicsNodeChangeListeners()

### addTreeGraphicsNodeChangeListener

    public void addTreeGraphicsNodeChangeListener(GraphicsNodeChangeListener l)

### removeTreeGraphicsNodeChangeListener

    public void removeTreeGraphicsNodeChangeListener(GraphicsNodeChangeListener l)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.